Log error messages when moving attachements in sub-directories
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.4.0   

Description

It's about the rake task :

rake redmine:attachments:move_to_subdirectories

This patch adds error messages to the console for the files that could not be moved.

Associated revisions

Revision 12249 - 2013-11-09 10:46 - Jean-Philippe Lang

Log errors when moving attachments (#15295).

History

#1 - 2013-11-07 16:05 - Jérôme BATAILLE

- File RM_15295_attachement_file_move_to_subdir_error_messages_RM_V2.3.2.diff added

#2 - 2013-11-09 10:50 - Jean-Philippe Lang

- Subject changed from Attachement move in sub-directories : error messages to Log error messages when moving attachements in sub-directories

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

I don't really like the puts and echo calls in the model. The error messages are added to the log file instead.

#3 - 2013-11-12 00:22 - Jérôme BATAILLE

Jean-Philippe Lang wrote:

I don't really like the puts and echo calls in the model. The error messages are added to the log file instead.

 It's perfect for me. thanks a lot for having reviewed this patch !

#4 - 2017-03-31 13:59 - Jérôme BATAILLE

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

#5 - 2017-04-29 22:31 - Toshi MARUYAMA

Jérôme BATAILLE wrote:

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

 "patch" tracker does not have "resolution" filed.
